Skip to content
Developer

NACE Codes

Open data4 EndpointsOpenData / NACE Codes

Get a single NaceCode by identifier (id or code)

GET/api/opendata/nace_codes/{identifier}

Path parameters

identifierrequiredstring

Responses

200Get a single NaceCodeNaceCode

Show fields (7)
  • idinteger

    Primary key of the NACE code. Internal ID.

  • codestring

    NACE code of the economic activity.

  • levelinteger

    Hierarchy level of the code.

  • parent_codestring

    Code of the parent entry in the hierarchy.

  • isic_referencestring

    Corresponding ISIC code.

  • search_stringstring

    Text that the entity can be searched by.

  • namestring

    Name of the entity.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/opendata/nace_codes/42
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "code": "string",
  "level": 1,
  "parent_code": "string",
  "isic_reference": "string",
  "search_string": "string"
}

Updates a single NaceCode

PUT/api/opendata/nace_codes/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataNaceCode2
    Show fields (4)
    • codestring

      NACE code of the economic activity.

    • levelinteger

      Hierarchy level of the code.

    • parent_codestring

      Code of the parent entry in the hierarchy.

    • isic_referencestring

      Corresponding ISIC code.

Responses

200Updates a single NaceCodeNaceCode

Show fields (7)
  • idinteger

    Primary key of the NACE code. Internal ID.

  • codestring

    NACE code of the economic activity.

  • levelinteger

    Hierarchy level of the code.

  • parent_codestring

    Code of the parent entry in the hierarchy.

  • isic_referencestring

    Corresponding ISIC code.

  • search_stringstring

    Text that the entity can be searched by.

  • namestring

    Name of the entity.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/opendata/nace_codes/42 \
  --header 'content-type: application/json' \
  --data '
{
  "data": {
    "code": "string",
    "level": 1,
    "parent_code": "string",
    "isic_reference": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "code": "string",
  "level": 1,
  "parent_code": "string",
  "isic_reference": "string",
  "search_string": "string"
}

Updates a single NaceCode

PATCH/api/opendata/nace_codes/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataNaceCode2
    Show fields (4)
    • codestring

      NACE code of the economic activity.

    • levelinteger

      Hierarchy level of the code.

    • parent_codestring

      Code of the parent entry in the hierarchy.

    • isic_referencestring

      Corresponding ISIC code.

Responses

200Updates a single NaceCodeNaceCode

Show fields (7)
  • idinteger

    Primary key of the NACE code. Internal ID.

  • codestring

    NACE code of the economic activity.

  • levelinteger

    Hierarchy level of the code.

  • parent_codestring

    Code of the parent entry in the hierarchy.

  • isic_referencestring

    Corresponding ISIC code.

  • search_stringstring

    Text that the entity can be searched by.

  • namestring

    Name of the entity.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/opendata/nace_codes/42 \
  --header 'content-type: application/json' \
  --data '
{
  "data": {
    "code": "string",
    "level": 1,
    "parent_code": "string",
    "isic_reference": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "code": "string",
  "level": 1,
  "parent_code": "string",
  "isic_reference": "string",
  "search_string": "string"
}

Creates a single NaceCode

POST/api/opendata/nace_codes

Request body application/json

  • dataNaceCode2
    Show fields (4)
    • codestring

      NACE code of the economic activity.

    • levelinteger

      Hierarchy level of the code.

    • parent_codestring

      Code of the parent entry in the hierarchy.

    • isic_referencestring

      Corresponding ISIC code.

Responses

200Creates a single NaceCodeNaceCode

Show fields (7)
  • idinteger

    Primary key of the NACE code. Internal ID.

  • codestring

    NACE code of the economic activity.

  • levelinteger

    Hierarchy level of the code.

  • parent_codestring

    Code of the parent entry in the hierarchy.

  • isic_referencestring

    Corresponding ISIC code.

  • search_stringstring

    Text that the entity can be searched by.

  • namestring

    Name of the entity.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/opendata/nace_codes \
  --header 'content-type: application/json' \
  --data '
{
  "data": {
    "code": "string",
    "level": 1,
    "parent_code": "string",
    "isic_reference": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "code": "string",
  "level": 1,
  "parent_code": "string",
  "isic_reference": "string",
  "search_string": "string"
}